Generate mashup lyrics by combining lyrics from two songs. Use [Instrumental] for instrumental tracks. After generating mashup lyrics, use Generate with task=mashup to create the music.
curl -X POST https://api.mountsea.ai/suno/v2/mashupLyrics \ -H "Content-Type: application/json" \ -H "Authorization: Bearer your-api-key" \ -d '{ "lyrics_a": "[Verse 1]\nWalking down the street today\nSunshine lighting up my way\n\n[Chorus]\nFeeling so alive, feeling so free", "lyrics_b": "[Instrumental]" }'
const response = await fetch('https://api.mountsea.ai/suno/v2/mashupLyrics', { method: 'POST', headers: { 'Content-Type': 'application/json', 'Authorization': 'Bearer your-api-key' }, body: JSON.stringify({ lyrics_a: '[Verse 1]\nWalking down the street today\nSunshine lighting up my way\n\n[Chorus]\nFeeling so alive, feeling so free', lyrics_b: '[Instrumental]' })});const data = await response.json();console.log(data.taskId);
import requestsresponse = requests.post( 'https://api.mountsea.ai/suno/v2/mashupLyrics', headers={ 'Content-Type': 'application/json', 'Authorization': 'Bearer your-api-key' }, json={ 'lyrics_a': '[Verse 1]\nWalking down the street today\nSunshine lighting up my way\n\n[Chorus]\nFeeling so alive, feeling so free', 'lyrics_b': '[Instrumental]' })data = response.json()print(data['taskId'])
Call this endpoint with lyrics from two songs to generate combined mashup lyrics.
2
Check Task Status
Poll the Task Status endpoint with the returned taskId to get the generated mashup lyrics.
3
Generate Mashup Music
Use the mashup lyrics with the Generate endpoint (task=mashup) to create the final mashup track.
Use [Instrumental] as the lyrics value when one of the tracks doesn’t have vocals. This is useful when creating mashups between a vocal track and an instrumental track.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"MountSea API","colors":{"primary":"#16A34A","light":"#07C983","dark":"#15803D"},"logo":{"light":"https://mintcdn.com/mountsea/-0ZZ4zjGNKNGMd3j/logo/light.svg?fit=max\u0026auto=format\u0026n=-0ZZ4zjGNKNGMd3j\u0026q=85\u0026s=a8eaf60937d21acd2a442694ca5edc96","dark":"https://mintcdn.com/mountsea/-0ZZ4zjGNKNGMd3j/logo/dark.svg?fit=max\u0026auto=format\u0026n=-0ZZ4zjGNKNGMd3j\u0026q=85\u0026s=b8c928c8f34885998a6d32ce0121c91c"},"favicon":"https://mintcdn.com/mountsea/-0ZZ4zjGNKNGMd3j/favicon.svg?fit=max\u0026auto=format\u0026n=-0ZZ4zjGNKNGMd3j\u0026q=85\u0026s=e5e125abb34edbd67ce834f5dc709e69","navbar":{"links":[{"href":"https://offoff.ai","label":"Support"}],"primary":{"type":"button","label":"Dashboard","href":"https://offoff.ai"}},"footer":{"links":[{"items":[{"label":"Terms of Service","href":"https://offoff.ai/zh/terms"},{"label":"Privacy Policy","href":"https://offoff.ai/zh/privacy"}]}]},"interaction":{"drilldown":false},"styling":{"latex":false},"navigation":{"global":{"anchors":[{"anchor":"Contact Us","icon":"book-open-cover","href":"https://offoff.ai"}]},"languages":[{"language":"en","default":true,"href":"introduction"},{"language":"zh","href":"zh/introduction"}]}},"deployment":{"deploymentMetadataValue":{"subdomain":"mountsea","hasAudioNarration":false,"actualSubdomain":"mountsea","customDomains":["docs.mountsea.ai"],"gitSource":{"type":"github","owner":"dkzhoufk","repo":"api-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6adac469e039861d9e9580d2","collectionId":"2e052c16-19a1-442e-9cda-40e0c5e0b5e5","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6adac469e039861d9e9580d2"},"entitlements":{},"buildId":"6adac469e039861d9e9580d2","clientVersion":"0.0.4006","searchFilterCounts":[{"language":"en","tag":"API reference","count":131},{"language":"en","tag":"API","count":131},{"language":"zh","tag":"API 参考","count":131},{"language":"zh","tag":"API","count":131},{"language":"en","tag":"Suno","count":73},{"language":"zh","tag":"Suno","count":73},{"language":"en","tag":"Generate tasks","count":19},{"language":"zh","tag":"生成任务","count":19},{"language":"en","tag":"Google Gemini","count":14},{"language":"zh","tag":"Google Gemini","count":14},{"language":"en","tag":"Studio","count":12},{"language":"zh","tag":"Studio","count":12},{"language":"en","tag":"ElevenLabs","count":9},{"language":"zh","tag":"ElevenLabs","count":9},{"language":"en","tag":"Video (Veo / Omni)","count":8},{"language":"en","tag":"OpenAI","count":8},{"language":"zh","tag":"视频 (Veo / Omni)","count":8},{"language":"zh","tag":"OpenAI","count":8},{"language":"en","tag":"Chat","count":7},{"language":"zh","tag":"Chat","count":7}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-v7-file-tree","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"pause-universal-search-reconcile","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"per-site-search-delta","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-private-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-nav-generations","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-agent-model-picker","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/suno/mashupLyrics","slug":"/api-reference/suno/mashupLyrics","pageMetadata":{"title":"Mashup Lyrics","description":"Generate mashup lyrics by combining lyrics from two songs","api":"POST https://api.mountsea.ai/suno/v2/mashupLyrics","href":"/api-reference/suno/mashupLyrics"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Generate mashup lyrics by combining lyrics from two songs\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,p:`p`,pre:`pre`,span:`span`,..._provideComponents(),...props.components},{CodeBlock,CodeGroup,Heading,ParamField,ResponseField,Step,Steps,Tip}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!CodeGroup)_missingMdxReference(`CodeGroup`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);if(!Step)_missingMdxReference(`Step`,true);if(!Steps)_missingMdxReference(`Steps`,true);if(!Tip)_missingMdxReference(`Tip`,true);return _jsxs(_Fragment,{children:[_jsxs(_components.p,{children:[`Generate mashup lyrics by combining lyrics from two songs. Use `,_jsx(_components.code,{children:`[Instrumental]`}),` for instrumental tracks. After generating mashup lyrics, use `,_jsx(_components.a,{href:`/api-reference/suno/generate`,children:`Generate`}),` with `,_jsx(_components.code,{children:`task=mashup`}),` to create the music.`]}),`\n`,_jsx(Heading,{level:`2`,id:`request-body`,children:`Request Body`}),`\n`,_jsx(ParamField,{body:`lyrics_a`,type:`string`,required:true,id:`param-lyrics-a`,children:_jsxs(_components.p,{children:[`Lyrics of the first song. Use `,_jsx(_components.code,{children:`[Instrumental]`}),` if the track is instrumental.`]})}),`\n`,_jsx(ParamField,{body:`lyrics_b`,type:`string`,required:true,id:`param-lyrics-b`,children:_jsxs(_components.p,{children:[`Lyrics of the second song. Use `,_jsx(_components.code,{children:`[Instrumental]`}),` if the track is instrumental.`]})}),`\n`,_jsx(Heading,{level:`2`,id:`response`,children:`Response`}),`\n`,_jsx(ResponseField,{name:`taskId`,type:`string`,id:`param-task-id`,children:_jsxs(_components.p,{children:[`The task ID. Use this to query task status via `,_jsx(_components.a,{href:`/api-reference/suno/task`,children:`Get Task Status`}),`.`]})}),`\n`,_jsx(Heading,{level:`2`,id:`example`,children:`Example`}),`\n`,_jsxs(CodeGroup,{children:[_jsx(CodeBlock,{filename:`cURL`,numberOfLines:`7`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`7`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -X`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` POST`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` https://api.mountsea.ai/suno/v2/mashupLyrics`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -H`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"Content-Type: application/json\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -H`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"Authorization: Bearer your-api-key\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -d`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` '{`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"lyrics_a\": \"[Verse 1]\\\\nWalking down the street today\\\\nSunshine lighting up my way\\\\n\\\\n[Chorus]\\\\nFeeling so alive, feeling so free\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"lyrics_b\": \"[Instrumental]\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` }'`})}),`\n`]})})}),_jsx(CodeBlock,{filename:`Node.js`,numberOfLines:`14`,language:`javascript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`javascript`,children:_jsxs(_components.code,{language:`javascript`,numberOfLines:`14`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`const`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` response`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:` await`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:` fetch`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'https://api.mountsea.ai/suno/v2/mashupLyrics'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` method:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'POST'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` headers:`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'Content-Type'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'application/json'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'Authorization'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'Bearer your-api-key'`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` body:`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` JSON`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`stringify`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`({`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` lyrics_a:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` '[Verse 1]`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\n`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`Walking down the street today`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\n`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`Sunshine lighting up my way`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\n\\\\n`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`[Chorus]`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\n`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`Feeling so alive, feeling so free'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` lyrics_b:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` '[Instrumental]'`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` })`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`});`})}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`const`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` data`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:` await`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` response`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`json`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`();`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`console`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`log`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`data`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`taskId`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`);`})]}),`\n`]})})}),_jsx(CodeBlock,{filename:`Python`,numberOfLines:`16`,language:`python`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`python`,children:_jsxs(_components.code,{language:`python`,numberOfLines:`16`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`import`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` requests`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`response `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` requests.post(`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'https://api.mountsea.ai/suno/v2/mashupLyrics'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#9CDCFE`},children:` headers`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'Content-Type'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'application/json'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'Authorization'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'Bearer your-api-key'`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#9CDCFE`},children:` json`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'lyrics_a'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'[Verse 1]`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\n`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`Walking down the street today`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\n`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`Sunshine lighting up my way`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\n\\\\n`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`[Chorus]`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\n`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`Feeling so alive, feeling so free'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'lyrics_b'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'[Instrumental]'`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`)`})}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`data `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` response.json()`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#DCDCAA`},children:`print`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(data[`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'taskId'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`])`})]}),`\n`]})})})]}),`\n`,_jsx(Heading,{level:`2`,id:`response-example`,children:`Response Example`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`3`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`3`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"taskId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"15c257ff-43f7-4678-bd41-202ad6b8488b\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),`\n`,_jsx(Heading,{level:`2`,id:`workflow`,children:`Workflow`}),`\n`,_jsxs(Steps,{children:[_jsx(Step,{title:`Generate Mashup Lyrics`,children:_jsx(_components.p,{children:`Call this endpoint with lyrics from two songs to generate combined mashup lyrics.`})}),_jsx(Step,{title:`Check Task Status`,children:_jsxs(_components.p,{children:[`Poll the `,_jsx(_components.a,{href:`/api-reference/suno/task`,children:`Task Status`}),` endpoint with the returned `,_jsx(_components.code,{children:`taskId`}),` to get the generated mashup lyrics.`]})}),_jsx(Step,{title:`Generate Mashup Music`,children:_jsxs(_components.p,{children:[`Use the mashup lyrics with the `,_jsx(_components.a,{href:`/api-reference/suno/generate`,children:`Generate`}),` endpoint (`,_jsx(_components.code,{children:`task=mashup`}),`) to create the final mashup track.`]})})]}),`\n`,_jsx(Tip,{children:_jsxs(_components.p,{children:[`Use `,_jsx(_components.code,{children:`[Instrumental]`}),` as the lyrics value when one of the tracks doesn’t have vocals. This is useful when creating mashups between a vocal track and an instrumental track.`]})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Mashup Lyrics","description":"Generate mashup lyrics by combining lyrics from two songs","api":"POST https://api.mountsea.ai/suno/v2/mashupLyrics","href":"/api-reference/suno/mashupLyrics"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"Request Body","slug":"request-body","depth":2,"children":[]},{"title":"Response","slug":"response","depth":2,"children":[]},{"title":"Example","slug":"example","depth":2,"children":[]},{"title":"Response Example","slug":"response-example","depth":2,"children":[]},{"title":"Workflow","slug":"workflow","depth":2,"children":[]}],"codeExamples":{},"endpoint":{"title":"Mashup Lyrics","path":"/suno/v2/mashupLyrics","servers":[{"url":"https://api.mountsea.ai"}],"method":"post","request":{"security":[],"parameters":{"query":{},"header":{},"cookie":{},"path":{}},"body":{"application/json":{"schemaArray":[{"type":"object","properties":{"lyrics_a":[{"type":"string","description":"Lyrics of the first song. Use `[Instrumental]` if the track is instrumental.","required":true}],"lyrics_b":[{"type":"string","description":"Lyrics of the second song. Use `[Instrumental]` if the track is instrumental.","required":true}]}}],"examples":{"example":{"value":{"lyrics_a":"\u003cstring>","lyrics_b":"\u003cstring>"}}}}}},"response":{"200":{"application/json":{"schemaArray":[{"type":"object","properties":{"taskId":[{"type":"string","description":"The task ID. Use this to query task status via Get Task Status ."}]}}],"examples":{"example":{"value":{"taskId":"\u003cstring>"}}}}}},"deprecated":false}},"jsLinks":["/_mintlify/custom/mountsea/faec55959f7db319/scripts/build-api-navigation.js","/_mintlify/custom/mountsea/25b5626e55964dfb/scripts/fix-mountsea-openapi.js","/_mintlify/custom/mountsea/2fb86a23f9064637/scripts/gen-mountsea-pages.js"],"subdomain":"mountsea","siteName":"MountSea API","title":"Mashup Lyrics - MountSea API","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{"en":{"href":"/api-reference/suno/mashupLyrics","matchLevel":0},"zh":{"href":"/zh/api-reference/suno/mashupLyrics","matchLevel":1}}},"lastModified":"2026-01-27T08:40:29.671Z","originalFileLocation":"api-reference/suno/mashupLyrics.mdx","locale":"en"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Generate mashup lyrics by combining lyrics from two songs\">\u003cmeta data-mint-head name=\"application-name\" content=\"MountSea API\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/mountsea/a9wFx4x6WVG6XewJ/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/mountsea/a9wFx4x6WVG6XewJ/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/mountsea/a9wFx4x6WVG6XewJ/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/mountsea/a9wFx4x6WVG6XewJ/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/mountsea/a9wFx4x6WVG6XewJ/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/mountsea/a9wFx4x6WVG6XewJ/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/mountsea/a9wFx4x6WVG6XewJ/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/mountsea/a9wFx4x6WVG6XewJ/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/mountsea/a9wFx4x6WVG6XewJ/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Mashup Lyrics - MountSea API\">\u003cmeta data-mint-head property=\"og:description\" content=\"Generate mashup lyrics by combining lyrics from two songs\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"MountSea API\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.mountsea.ai/api-reference/suno/mashupLyrics\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://mountsea.mintlify.app/_mintlify/api/og/v2?division=Suno\u0026amp;title=Mashup+Lyrics\u0026amp;description=Generate+mashup+lyrics+by+combining+lyrics+from+two+songs\u0026amp;theme=b1d561b7be26162af5434067\u0026amp;signature=a3bb77e8b70e63a61f4793021faf37010590541ea8bd720f52d0ee8ecd6283ad\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Mashup Lyrics - MountSea API\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Generate mashup lyrics by combining lyrics from two songs\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://mountsea.mintlify.app/_mintlify/api/og/v2?division=Suno\u0026amp;title=Mashup+Lyrics\u0026amp;description=Generate+mashup+lyrics+by+combining+lyrics+from+two+songs\u0026amp;theme=b1d561b7be26162af5434067\u0026amp;signature=a3bb77e8b70e63a61f4793021faf37010590541ea8bd720f52d0ee8ecd6283ad\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/mountsea/a9wFx4x6WVG6XewJ/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"MountSea API\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#16A34A\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.mountsea.ai/api-reference/suno/mashupLyrics\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/suno/mashupLyrics.md\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"en\" href=\"https://docs.mountsea.ai/api-reference/suno/mashupLyrics\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"zh\" href=\"https://docs.mountsea.ai/zh/api-reference/suno/mashupLyrics\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"x-default\" href=\"https://docs.mountsea.ai/api-reference/suno/mashupLyrics\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.mountsea.ai/#organization\",\"name\":\"MountSea API\",\"url\":\"https://docs.mountsea.ai\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/mountsea/-0ZZ4zjGNKNGMd3j/logo/light.svg?fit=max\u0026auto=format\u0026n=-0ZZ4zjGNKNGMd3j\u0026q=85\u0026s=a8eaf60937d21acd2a442694ca5edc96\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.mountsea.ai#website\",\"name\":\"MountSea API\",\"url\":\"https://docs.mountsea.ai\",\"publisher\":{\"@id\":\"https://docs.mountsea.ai/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.mountsea.ai/api-reference/suno/mashupLyrics#webpage\",\"url\":\"https://docs.mountsea.ai/api-reference/suno/mashupLyrics\",\"name\":\"Mashup Lyrics\",\"description\":\"Generate mashup lyrics by combining lyrics from two songs\",\"dateModified\":\"2026-01-27T08:40:29.671Z\",\"isPartOf\":{\"@id\":\"https://docs.mountsea.ai#website\"},\"breadcrumb\":{\"@id\":\"https://docs.mountsea.ai/api-reference/suno/mashupLyrics#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.mountsea.ai/api-reference/suno/mashupLyrics#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"API\",\"item\":\"https://docs.mountsea.ai/api-reference/suno/introduction\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Suno\",\"item\":\"https://docs.mountsea.ai/api-reference/suno/introduction\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Mashup Lyrics\",\"item\":\"https://docs.mountsea.ai/api-reference/suno/mashupLyrics\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.mountsea.ai/api-reference/suno/mashupLyrics#apireference\",\"headline\":\"Mashup Lyrics\",\"name\":\"Mashup Lyrics\",\"description\":\"Generate mashup lyrics by combining lyrics from two songs\",\"url\":\"https://docs.mountsea.ai/api-reference/suno/mashupLyrics\",\"mainEntityOfPage\":{\"@id\":\"https://docs.mountsea.ai/api-reference/suno/mashupLyrics#webpage\"},\"dateModified\":\"2026-01-27T08:40:29.671Z\",\"publisher\":{\"@id\":\"https://docs.mountsea.ai/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.mountsea.ai#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"MountSea API\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"MountSea API","nav":{"global":{"anchors":[{"anchor":"Contact Us","icon":"book-open-cover","href":"https://offoff.ai"}]},"languages":[{"language":"en","default":true,"tabs":[{"tab":"Guides","pages":[{"title":"Guides","href":"/introduction"}]},{"tab":"API reference","groups":[{"group":"API","icon":"code","pages":[{"group":"Suno","icon":"music","expanded":false,"pages":[{"title":null,"href":"/api-reference/suno/introduction"},{"title":"Generate Music","openapi":"POST /suno/v2/generate","href":"/api-reference/suno/generate"},{"group":"Generate tasks","icon":"list-check","expanded":false,"pages":[{"title":"Overview","href":"/api-reference/suno/generate-tasks"},{"title":"Create","href":"/api-reference/suno/generateCreate"},{"title":"Speech","href":"/api-reference/suno/generateSpeech"},{"title":"Extend","href":"/api-reference/suno/generateExtend"},{"title":"Upload extend","href":"/api-reference/suno/generateUploadExtend"},{"title":"Cover","href":"/api-reference/suno/generateCover"},{"title":"Upload cover","href":"/api-reference/suno/generateUploadCover"},{"title":"Use styles \u0026 lyrics","href":"/api-reference/suno/generateUseStylesLyrics"},{"title":"Replace section","href":"/api-reference/suno/generateReplaceSection"},{"title":"Simple replace","href":"/api-reference/suno/generateReplaceSimple"},{"title":"Add instrumental","href":"/api-reference/suno/generateAddInstrumental"},{"title":"Add vocals","href":"/api-reference/suno/generateAddVocals"},{"title":"Two stems","href":"/api-reference/suno/generateStemTwo"},{"title":"All stems","href":"/api-reference/suno/generateStemAll"},{"title":"Add stems","href":"/api-reference/suno/generateAddStems"},{"title":"Mashup","href":"/api-reference/suno/generateMashup"},{"title":"Sample","href":"/api-reference/suno/generateSample"},{"title":"Inspiration task","href":"/api-reference/suno/generateInspiration"},{"title":"Sounds","href":"/api-reference/suno/generateSound"}]},{"title":"Create Options","href":"/api-reference/suno/create-options"},{"title":"Generate Schema","api":"GET https://api.mountsea.ai/suno/v2/generate/schema","href":"/api-reference/suno/generateSchema"},{"title":"Get Task Status","openapi":"GET /suno/v2/status","href":"/api-reference/suno/task"},{"title":"Check Account Offline","openapi":"GET /suno/v2/checkAccountOffline","href":"/api-reference/suno/checkAccountOffline"},{"title":"Generate Image","openapi":"POST /suno/v2/image/generate","href":"/api-reference/suno/imageGenerate"},{"title":"Generate Standalone Video","openapi":"POST /suno/v2/video/standalone/generate","href":"/api-reference/suno/videoStandaloneGenerate"},{"title":"Generate Lyrics","description":"Generate song lyrics from a text prompt","openapi":"POST /suno/v2/lyrics","href":"/api-reference/suno/lyrics"},{"title":"Mashup Lyrics","api":"POST https://api.mountsea.ai/suno/v2/mashupLyrics","href":"/api-reference/suno/mashupLyrics"},{"title":"Lyrics Infill","description":"Fill or rewrite a span of lyrics without generating music","openapi":"POST /suno/v2/lyricsInfill","href":"/api-reference/suno/lyricsInfill"},{"title":"Upload Audio","openapi":"POST /suno/v2/upload","href":"/api-reference/suno/upload"},{"title":"Concat Audio","openapi":"POST /suno/v2/concat","href":"/api-reference/suno/concat"},{"title":"Remaster","api":"POST https://api.mountsea.ai/suno/v2/remaster","href":"/api-reference/suno/remaster"},{"title":"Adjust Speed","api":"POST https://api.mountsea.ai/suno/v2/adjustSpeed","href":"/api-reference/suno/adjustSpeed"},{"title":"Upsample Tags","openapi":"POST /suno/v2/upsampleTags","href":"/api-reference/suno/upsampleTags"},{"group":"Inspiration","icon":"lightbulb","expanded":false,"pages":[{"title":"Overview","href":"/api-reference/suno/inspiration"},{"title":"Create Inspiration Playlist","openapi":"POST /suno/v2/playlist/create","href":"/api-reference/suno/playlistCreate"},{"title":"Add Clips to Playlist","openapi":"POST /suno/v2/playlist/addClips","href":"/api-reference/suno/playlistAddClips"}]},{"group":"Batch Upload Session","icon":"upload","expanded":false,"pages":[{"title":"Overview","href":"/api-reference/suno/uploadSession"},{"title":"Prepare Upload Session","openapi":"POST /suno/v2/audio/upload/session","href":"/api-reference/suno/uploadSessionPrepare"},{"title":"Upload Session Item","openapi":"POST /suno/v2/audio/upload/session/item","href":"/api-reference/suno/uploadSessionItem"}]},{"group":"Audio Edit","icon":"scissors","expanded":false,"pages":[{"title":"Crop Audio","openapi":"POST /suno/v2/audio/crop","href":"/api-reference/suno/audioCrop"},{"title":"Fade In / Fade Out","openapi":"POST /suno/v2/audio/fade","href":"/api-reference/suno/audioFade"},{"title":"Reverse Audio","openapi":"POST /suno/v2/audio/reverse","href":"/api-reference/suno/audioReverse"}]},{"group":"Export","icon":"download","expanded":false,"pages":[{"title":"Export MP4","openapi":"POST /suno/v2/mp4","href":"/api-reference/suno/mp4"},{"title":"Export WAV","openapi":"POST /suno/v2/wav","href":"/api-reference/suno/wav"},{"title":"Export M4A","openapi":"POST /suno/v2/m4a","href":"/api-reference/suno/m4a"},{"title":"Download MDI","openapi":"POST /suno/v2/mdi","href":"/api-reference/suno/mdi"}]},{"group":"Analysis","icon":"chart-simple","expanded":false,"pages":[{"title":"Lyrics Timeline","openapi":"POST /suno/v2/timing","href":"/api-reference/suno/timing"},{"title":"Get Downbeats","openapi":"POST /suno/v2/downbeats","href":"/api-reference/suno/downbeats"}]},{"group":"Custom Model","icon":"brain","expanded":false,"pages":[{"title":"Overview","href":"/api-reference/suno/customModel"},{"title":"Custom Model Prepare","openapi":"POST /suno/v2/customModel/prepare","href":"/api-reference/suno/customModelPrepare"},{"title":"Custom Model Upload","openapi":"POST /suno/v2/customModel/upload","href":"/api-reference/suno/customModelUpload"},{"title":"Custom Model Create","openapi":"POST /suno/v2/customModel/create","href":"/api-reference/suno/customModelCreate"}]},{"group":"Persona","icon":"microphone","expanded":false,"pages":[{"title":"Overview","href":"/api-reference/suno/persona-introduction"},{"group":"Clip Persona","icon":"user","expanded":false,"pages":[{"title":"Create Persona","api":"POST https://api.mountsea.ai/suno/v2/persona","href":"/api-reference/suno/persona"},{"title":"Get Vox Stem","api":"POST https://api.mountsea.ai/suno/v2/getVoxStem","href":"/api-reference/suno/getVoxStem"}]},{"group":"Voice Persona","icon":"clone","expanded":false,"pages":[{"title":"Clone Voice","openapi":"POST /suno/v2/voices","href":"/api-reference/suno/voices"},{"title":"Init + Complete","href":"/api-reference/suno/voicePersona"},{"title":"Voice Persona Init","openapi":"POST /suno/v2/voicePersona/init","href":"/api-reference/suno/voicePersonaInit"},{"title":"Voice Persona Complete","openapi":"POST /suno/v2/voicePersona/complete","href":"/api-reference/suno/voicePersonaComplete"}]}]},{"group":"Studio","icon":"sliders","expanded":false,"pages":[{"title":"Overview","href":"/api-reference/suno/studio"},{"title":"Studio Batch Edit","openapi":"POST /suno/v2/studio/edit","href":"/api-reference/suno/studioEdit"},{"title":"Studio Crop","openapi":"POST /suno/v2/studio/crop","href":"/api-reference/suno/studioCrop"},{"title":"Studio Remove Section","openapi":"POST /suno/v2/studio/removeSection","href":"/api-reference/suno/studioRemoveSection"},{"title":"Studio Duplicate","openapi":"POST /suno/v2/studio/duplicate","href":"/api-reference/suno/studioDuplicate"},{"title":"Studio Reverse","openapi":"POST /suno/v2/studio/reverse","href":"/api-reference/suno/studioReverse"},{"title":"Studio Fade In","openapi":"POST /suno/v2/studio/fadeIn","href":"/api-reference/suno/studioFadeIn"},{"title":"Studio Fade Out","openapi":"POST /suno/v2/studio/fadeOut","href":"/api-reference/suno/studioFadeOut"},{"title":"Studio Set Speed","openapi":"POST /suno/v2/studio/setSpeed","href":"/api-reference/suno/studioSetSpeed"},{"title":"Studio Add Section","openapi":"POST /suno/v2/studio/addSection","href":"/api-reference/suno/studioAddSection"},{"title":"Studio Add Section Commit","openapi":"POST /suno/v2/studio/addSectionCommit","href":"/api-reference/suno/studioAddSectionCommit"},{"title":"Studio Replace Section","openapi":"POST /suno/v2/studio/replace","href":"/api-reference/suno/studioReplace"}]}]},{"group":"ElevenLabs","icon":"waveform-lines","expanded":false,"pages":[{"title":null,"href":"/api-reference/eleven/introduction"},{"title":"Generate Music","openapi":"POST /eleven/music","href":"/api-reference/eleven/music"},{"title":"Create Composition Plan","openapi":"POST /eleven/plan","href":"/api-reference/eleven/plan"},{"title":"Video to Music","openapi":"POST /eleven/video-to-music","href":"/api-reference/eleven/video-to-music"},{"title":"List Voices","openapi":"GET /eleven/voices","href":"/api-reference/eleven/voices"},{"title":"Text to Dialogue","openapi":"POST /eleven/dialogue","href":"/api-reference/eleven/dialogue"},{"title":"Get Task Status","openapi":"GET /eleven/tasks","href":"/api-reference/eleven/task"},{"title":"Stem Separation","openapi":"POST /eleven/stems","href":"/api-reference/eleven/stems"},{"title":"Upload Audio","openapi":"POST /eleven/upload","href":"/api-reference/eleven/upload"}]},{"group":"Producer","icon":"headphones","expanded":false,"pages":[{"title":null,"href":"/api-reference/producer/introduction"},{"title":"Create Music","openapi":"POST /producer/audios","href":"/api-reference/producer/audios"},{"title":"Get Task Status","openapi":"GET /producer/tasks","href":"/api-reference/producer/task"},{"title":"Upload Audio","openapi":"POST /producer/upload","href":"/api-reference/producer/upload"},{"title":"Get Stems","openapi":"POST /producer/stems","href":"/api-reference/producer/stems"},{"title":"Download Audio","openapi":"POST /producer/download","href":"/api-reference/producer/download"},{"title":"Download Video","openapi":"POST /producer/download-video","href":"/api-reference/producer/download-video"}]},{"group":"Google Gemini","icon":"sparkles","expanded":false,"pages":[{"title":null,"href":"/api-reference/gemini/introduction"},{"title":"Get Task Result","openapi":"GET /gemini/task/result","href":"/api-reference/gemini/task"},{"group":"Video (Veo / Omni)","icon":"video","expanded":false,"pages":[{"title":null,"href":"/api-reference/gemini/video-introduction"},{"title":"Veo / Omni video generation","openapi":"POST /gemini/video/generate","href":"/api-reference/gemini/video"},{"title":"Upsample Video","openapi":"POST /gemini/video/upsample","href":"/api-reference/gemini/upsample"},{"title":"Expand Video Prompt","openapi":"POST /gemini/video/prompt/expand","href":"/api-reference/gemini/prompt-expand"},{"title":"Reshoot Video","openapi":"POST /gemini/video/reshoot","href":"/api-reference/gemini/reshoot"},{"title":"Extend Video","openapi":"POST /gemini/video/extend","href":"/api-reference/gemini/extend"},{"title":"Insert Object into Video","openapi":"POST /gemini/video/object/insert","href":"/api-reference/gemini/object-insert"},{"title":"Remove Object from Video","openapi":"POST /gemini/video/object/remove","href":"/api-reference/gemini/object-remove"}]},{"group":"Image (Nano Banana)","icon":"image","expanded":false,"pages":[{"title":null,"href":"/api-reference/gemini/image-introduction"},{"title":"banana image generation","openapi":"POST /gemini/image/generate","href":"/api-reference/gemini/image"}]},{"group":"Compat SDK","icon":"plug","expanded":false,"pages":[{"title":null,"href":"/api-reference/gemini/compat-introduction"},{"title":"Gemini generateContent (Compat)","openapi":"POST /gemini/v1beta/models/{modelAction}","href":"/api-reference/gemini/compat"}]}]},{"group":"XAI (Grok)","icon":"image","expanded":false,"pages":[{"title":null,"href":"/api-reference/xai/introduction"},{"title":"Generate Image","openapi":"POST /xai/images","href":"/api-reference/xai/generate-image"},{"title":"Generate Video","openapi":"POST /xai/videos","href":"/api-reference/xai/generate-video"},{"title":"Get Task Result","openapi":"GET /xai/tasks","href":"/api-reference/xai/task"}]},{"group":"OpenAI","icon":"robot","expanded":false,"pages":[{"title":null,"href":"/api-reference/openai/introduction"},{"group":"Async GPT Image","icon":"palette","expanded":false,"pages":[{"title":null,"href":"/api-reference/openai/images-introduction"},{"title":"Create Image Task (async)","openapi":"POST /openai/images","href":"/api-reference/openai/images"},{"title":"Get Task Result","openapi":"GET /openai/tasks","href":"/api-reference/openai/task"}]},{"group":"Compat SDK","icon":"plug","expanded":false,"pages":[{"title":null,"href":"/api-reference/openai/compat-introduction"},{"title":"images.generate (OpenAI Compat)","openapi":"POST /openai/v1/images/generations","href":"/api-reference/openai/compat-generate"},{"title":"images.edit (OpenAI Compat)","openapi":"POST /openai/v1/images/edits","href":"/api-reference/openai/compat-edit"},{"title":"models.list (OpenAI Compat)","openapi":"GET /openai/v1/models","href":"/api-reference/openai/compat-models"}]}]},{"group":"Chat","icon":"comments","expanded":false,"pages":[{"title":null,"href":"/api-reference/chat/introduction"},{"title":"Chat Completions","openapi":"POST /chat/chat/completions","href":"/api-reference/chat/completions"},{"title":"Responses API","openapi":"POST /chat/v1/responses","href":"/api-reference/chat/responses"},{"title":"Claude Messages API","openapi":"POST /chat/claude/v1/messages","href":"/api-reference/chat/claude"},{"title":"List Models","openapi":"GET /chat/models","href":"/api-reference/chat/models"},{"title":"Get Model","openapi":"GET /chat/models/{model}","href":"/api-reference/chat/model"},{"title":"Gemini API","icon":"google","href":"/api-reference/chat/gemini"}]},{"group":"Usage \u0026 Credits","icon":"coins","expanded":false,"pages":[{"title":null,"href":"/api-reference/usage/introduction"},{"title":"Query Credits Balance","openapi":"GET /api-user/credits","href":"/api-reference/usage/credits"},{"title":"List Services","openapi":"GET /api-user/services","href":"/api-reference/usage/services"},{"title":"Search API Usage Logs","openapi":"POST /api-user/usage/search","href":"/api-reference/usage/usage-search"},{"title":"Search Credits Change History","openapi":"POST /api-user/points/search","href":"/api-reference/usage/points-search"}]},{"group":"Sora2 (Unavailable)","icon":"film","expanded":false,"pages":[{"title":null,"href":"/api-reference/sora/introduction"},{"title":"sora video generation","openapi":"POST /sora/video/generate","href":"/api-reference/sora/video"},{"title":"sora create role","openapi":"POST /sora/role/create","href":"/api-reference/sora/createRole"},{"title":"get sora task result","openapi":"GET /sora/task/result","href":"/api-reference/sora/task"}]}]}]}]},{"language":"zh","pages":[{"title":"zh","href":"/zh/api-reference/suno/mashupLyrics"}]}]},"title":"Mashup Lyrics - MountSea API","buildId":"dpl_2xiSHD9XEvLsPGPcfoMtkLTB3dy9","deploymentId":"dpl_2xiSHD9XEvLsPGPcfoMtkLTB3dy9","dynamics":["c2aa737661","2b790eda92","b0f84f53ff"],"chunks":["OpenApiReferenceProvider-DmVyH30O.js","utils-BHQqGGOd.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-CD-E4BIt.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-Bp5Lq9Ds.js","snippetPresets-C4xAVCFP.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-CgXVLxUC.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-BF8I5oUf.js","shallow-Byd0lWnC.js","getApiPlaygroundDisplay-BGOZG1OK.js","CodeSnippet-CpvQL0CY.js","CodeSnippets-B8wkBKXa.js","Page-CBCH2P7b.js","getPastedJson-Ry3scI3Y.js","icon-D7a9HcdD.js","MethodPill-CJ8pmHhz.js","DuplicateIcon-rh1HJF0t.js","createIcon-DvGznqYs.js","DynamicMarkdown-Cc6AuSHS.js","SectionHeading-B4A0S-ep.js","axios-vUo_bRtp.js"]}